z=128 ; Size of a sprite
		; Feel free to go bonkers, but beware the resulting .bmp's size!


Graphics3D z,z,32,2
SetBuffer BackBuffer()

Img=CreateImage(z,z,1)
BB=CreateImage(z*16,z*16,1)

AntiAlias False

Cls
AmbientLight(0,0,0)

Dim tex(10)
Dim bru(10)
Dim Side(10)

bru(0)=CreateBrush(220,200,100)
Dice=CreateCube()
ScaleMesh(Dice,0.96,0.96,0.96)
PaintMesh dice,bru(0)


For n=1 To 6
	tex(n)=LoadTexture(n+".png",1)
	bru(n)=CreateBrush(255,255,255)
	BrushTexture bru(n),tex(n)
	
	Pivot=CreateMesh()
	Side(n)=CreateMesh(Pivot)
	sur=CreateSurface(side(n),bru(n))
	a=AddVertex(sur,-0.9,-0.9,0,0,0)
	b=AddVertex(sur,0.9,-0.9,0,1,0)
	c=AddVertex(sur,0.9,0.9,0,1,1)
	d=AddVertex(sur,-0.9,0.9,0,0,1)
	AddTriangle(sur,a,b,d)
	AddTriangle(sur,b,c,d)
	
	PositionMesh Side(n),0,0,1

	Select n
		Case 1 RotateMesh Side(n),0,0,180
		Case 2 RotateMesh Side(n),90,0,180
		Case 3 RotateMesh Side(n),0,90,180
		Case 4 RotateMesh Side(n),0,270,180
		Case 5 RotateMesh Side(n),270,0,180
		Case 6 RotateMesh Side(n),180,0,180		
	End Select
	
	AddMesh Side(n),Dice
	FreeEntity Side(n)
	FreeEntity Pivot
Next

UpdateNormals Dice


campivot=CreatePivot()
cam=CreateCamera(campivot)
PositionEntity cam,0,0,3
PointEntity cam,campivot
CameraZoom cam,1.5


Lamp=CreateLight(1,campivot)
LightColor lamp,255,255,255
PositionEntity Lamp,5,0,50
PointEntity lamp,campivot

CameraClsColor cam,80,0,80


x=0
y=0

Repeat
Cls

RotateEntity campivot,Float(x)*22.5,Float(y)*22.5,0


RenderWorld

GrabImage (img,0,0)
SetBuffer ImageBuffer(BB)
DrawImage img,x*z,y*z
SetBuffer BackBuffer()

Flip

x=x+1
If x>15
	x=0:y=y+1
EndIf

If y>15
	y=0
	SaveImage bb,"Out.bmp"
	End
EndIf


Until KeyDown(1)


End